events.listen('item.registry', function (e) {

  //Ornium Apple
  e.create('ornium_apple').displayName('§dOrnium Apple').glow(true).food(foodConsumer => {
    foodConsumer.hunger(20)
    .saturation(1.0)
    .alwaysEdible()
    .eaten(eatenEvent => {
            eatenEvent.getEntity().getPotionEffects().add("minecraft:absorption",4000,2,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:speed",4000,2,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:strength",4000,2,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:resistance",4000,2,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:regeneration",4000,2,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:haste",4000,2,false,false)

            });
  });
   //Lightium Apple
   e.create('lightium_apple').displayName('§3Lightium Apple').glow(true).food(foodConsumer => {
    foodConsumer.hunger(30)
    .saturation(1.2)
    .alwaysEdible()
    .eaten(eatenEvent => {
            eatenEvent.getEntity().getPotionEffects().add("minecraft:absorption",4500,3,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:speed",4500,3,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:strength",4500,3,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:resistance",4500,3,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:regeneration",4500,3,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:haste",4500,3,false,false)

            });
  });
   //Tornium Apple
   e.create('tornium_apple').displayName('§7Tornium Apple').glow(true).food(foodConsumer => {
    foodConsumer.hunger(40)
    .saturation(1.5)
    .alwaysEdible()
    .eaten(eatenEvent => {
            eatenEvent.getEntity().getPotionEffects().add("minecraft:absorption",5000,4,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:speed",5000,4,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:strength",5000,4,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:resistance",5000,4,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:regeneration",5000,4,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:haste",5000,4,false,false)

            });
  });
  //Ouranium Apple
  e.create('ouranium_apple').displayName('§2Ouranium Apple').glow(true).food(foodConsumer => {
    foodConsumer.hunger(50)
    .saturation(2.0)
    .alwaysEdible()
    .eaten(eatenEvent => {
            eatenEvent.getEntity().getPotionEffects().add("minecraft:absorption",6000,5,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:speed",6000,5,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:strength",6000,5,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:resistance",6000,5,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:regeneration",6000,5,false,false)
            eatenEvent.getEntity().getPotionEffects().add("minecraft:haste",6000,5,false,false)

            });
  });

//Ultimate Honeycomb//
e.create('ultimate_comb').displayName('§5Ultimate Honeycomb').food(foodConsumer => {
  foodConsumer.hunger(20)
              .saturation(5.0)
              .eaten(eatenEvent => {
                eatenEvent.player.tell("How Did We Get Here?");
                eatenEvent.getEntity().getPotionEffects().add("minecraft:speed",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:slowness",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:strength",200,41,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:jump_boost",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:regeneration",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:fire_resistance",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:water_breathing",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:invisibility",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:night_vision",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:weakness",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:poison",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:wither",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:haste",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:mining_fatigue",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:levitation",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:glowing",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:absorption",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:hunger",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:nausea",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:resistance",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:slow_falling",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:conduit_power",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:dolphins_grace",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:blindness",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:bad_omen",200,1,false,false)
                eatenEvent.getEntity().getPotionEffects().add("minecraft:hero_of_the_village",200,1,false,false)
              });
});

})